/** # Responsive menu - Theme Dark

Déclinaison sombre pour responsive menu

Markup:
<header role="banner">
  <nav class='responsive-menu js-menumaker' role="primary">
		<div class="head-desktop">
			<a href="index.html">
					<div class="brand">Brand name</div>
					<div class="baseline">Baseline</div>
			</a>
		</div>
		<div class="head-mobile">
				<div class="mobile-button"></div>
				<div class="brand">Brand Name</div>
				<div class="baseline">Baseline</div>
		</div>
		<div class="menu-container">
			<ul>
			  <li class='active'><a href='#'>HOME</a></li>
			  <li><a href='#'>ABOUT</a></li>
			  <li><a href='#'>PRODUCTS</a>
				<ul>
				  <li><a href='#'>Product 1</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				  <li><a href='#'>Product 2</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				</ul>
			  </li>
			  <li><a href='#'>BIO</a></li>
			  <li><a href='#'>VIDEO</a></li>
			  <li><a href='#'>GALLERY</a></li>
			  <li><a href='#'>CONTACT</a></li>
			</ul>
		</div>
	</nav>
</header>

@source - <http://codepen.io/emredenx/pen/ojcxl/>
@see - Codepen d'un menu accessible http://codepen.io/grayghostvisuals/pen/ltjDa
@see - https://github.com/nico3333fr/jquery-accessible-subnav-dropdown
@see - http://staff.washington.edu/tft/tests/menus/simplyaccessible/index.html
@see - Article sur le markup ARIA d'un menu http://terrillthompson.com/blog/202
@import - addons/responsive-menu
@use - js - addons/responsive-menu/responsive-menu.js
@todo - mieux gerer les themes du menu

Styleguide addons.responsivemenu.dark
*/


.responsive-menu {
	background-color: $base-background-color;
	color: $base-font-color;
	@include padding($small-spacing);

	.mobile-button {
		@include iconify('menu');
		font-size: 1.2rem;
		color: $light-gray;

		&.menu-opened {
			@include iconify('close');
			background-color: $white;
			color:$black;
			padding: $small-spacing / 2;
			margin-left: -($small-spacing / 2);
		}
	}

	// Styles du panneau menu ouvert en mode mobile
	& .menu-container > ul {
	  background-color: $white;
	  //border-right: 1px solid $black;
	  font-family: $sans-serif;
	  font-weight: 400;
	  text-transform: uppercase;

	  @include media('>tablet'){
		  border: none transparent;
		  background-color: transparent;
		  text-align: left;
	  }
	}
}


@include media('>tablet'){
    .responsive-menu.sticky {

    }
}


// On ne style pas en mode large/desktop
@include media('<=tablet'){
  .menu-container.is-open {
		&::after {
			// Theme du fond de page cliquable
			background-color: rgba($base-background-color, .85);
		}
  }
}


// First level
.menu-container li > a {
	// styles touch/mobile
	color: $base-background-color;
	font-family: $sans-serif;
	font-weight: bold;

	font-size: 1rem;
	border-left: 5px transparent solid;

	@include media('>tablet'){
		color: $white;
		border-left: 0 transparent;
		border-bottom: 5px $base-font-color solid;
	}
}
// First level active/
.menu-container li:focus > a,
.menu-container li:hover > a,
.menu-container li > a:hover,
.menu-container li > a:focus
.menu-container li.on > a,
.menu-container li.active > a{
	background-color: rgba($light-gray, .2);
	border-left: 5px $black solid;

	@include media('>tablet'){
		border-left: none transparent;
		border-bottom: 5px rgba($base-font-color, .5) solid;
	}
}


// Test pour la navigation clavier
// .has-sub > a:focus > ul{
// 	border-color: red;
// }


.menu-container .has-sub {
	& > ul {
		// transition: opacity .25s linear;
		// defini dans responsive_menu
	}
	& > ul li a {
		font-size: .8em;

		@include media('>tablet'){
			background-color: $base-background-color;
			border: none;
			width: 100%;
			display: block;
			&:hover {
				border: none;
			}
		}

	}
}

// Bouton signalant l'arbo du menu avec etat deplie/replie
.submenu-button {
	&:after{
		//content:'+';
		//font-size:1rem;
	}
	&.submenu-opened {
		&:after {
			//content: '-';
		}
	}
}


.responsive-menu {

	.brand,.baseline {
	   //font-family: $sans-serif;
	}

	.brand{
	  //font-weight: 700;
	  text-transform: uppercase;
	}
	.baseline {
		color: rgba(color-contrast($base-background-color),.5);
	}
}

.responsive-menu .head-desktop {

	@include media('>tablet'){
		//background: url(../images/logo.svg) no-repeat top left;
		//height: $base-spacing * 6;

		.brand, .baseline{

		}
	}

	a {
	  color: color-contrast($base-background-color);
	}

  .brand{
    font-size: 1.5rem;
	text-align: left;
  }
  .baseline {
  	//font-size: .5em;
  }
}


.responsive-menu .head-mobile {
	// height:3rem; !! on joue sur le padding du parent
	border-bottom: 1px solid rgba($black, .2);

	a {
	  color: color-contrast($base-background-color);
	}

	.brand,.baseline {
		text-align: left;
	}
	.brand {
		font-size: 1.5rem;
		font-weight: bold;
		//top: .3rem;
		@include media('>tablet'){
			font-size: 1.5rem;
			padding: $small-spacing;
		}

	}
	.baseline {

	}
}


// Menu cmponents
.responsive-menu form {

}
